<ion-view view-title="{{ servico.id ? 'Editar' : 'Cadastrar' }} Serviço">
    <ion-content>
        <div class="clients-new row">
            <div class="col">
                <p>Informações do Serviço</p>
                <form name="servicoForm" novalidate ng-submit="saveServico( servicoForm )">
                    <ion-list class="form">
                        <ion-item class="item item-input">
                            <label>
                                <input ng-model="servico.name" type="text" required name="nome" fp-floating-label-input>
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="input-label">Descrição</label>
                                <div class="error-container" ng-show="servicoForm.name.$touched || servicoForm.$submitted" 
                                    ng-messages="servicoForm.name.$error">
                                    <div ng-messages-include="templates/error-list.html"></div>
                                </div>
                            </label>
                        </ion-item>
                        <ion-item class="item item-input">
                            <label>
                                <input fp-mask-money ng-model="servico.price" type="text" required name="valor" fp-floating-label-input>
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="input-label">Valor</label>
                                <div class="error-container" ng-show="servicoForm.full_name.$touched || servicoForm.$submitted" 
                                    ng-messages="servicoForm.full_name.$error">
                                    <div ng-messages-include="templates/error-list.html"></div>
                                </div>
                            </label>
                        </ion-item>
                        <ion-item class="item item-input">
                            <label>
                                <input ng-model="servico.qty" type="text" required name="quantidade" fp-floating-label-input>
                                <span class="md-highlight"></span>
                                <span class="md-bar"></span>
                                <label class="input-label">Quantidade</label>
                                <div class="error-container" ng-show="servicoForm.full_name.$touched || servicoForm.$submitted" 
                                    ng-messages="servicoForm.full_name.$error">
                                    <div ng-messages-include="templates/error-list.html"></div>
                                </div>
                            </label>
                        </ion-item>
                    </ion-list>
                    <button type="submit" class="col col-66 edit-btn">
                        <i class="ion-android-add"></i>
                        Salvar Serviço
                    </button>
                </form>
            </div>
        </div>
    </ion-content>
</ion-view>
